- Qt 6.8
- Qt 3D
- C++ Classes
- Qt3DExtras (Deprecated)
- QTorusMesh
- Qt 6.8.2 Reference Documentation

# QTorusMesh Class

class Qt3DExtras::QTorusMesh

A toroidal mesh. More...

Header: | `#include <Qt3DExtras/QTorusMesh>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3dextras)` `target_link_libraries(mytarget PRIVATE Qt6::3dextras)`
qmake: | `QT += 3dextras`
In QML: | TorusMesh
Inherits: | Qt3DRender::QGeometryRenderer
Status: | Deprecated

- List of all members, including inherited members

## Properties

- minorRadius : float
- radius : float
- rings : int
- slices : int

## Public Functions

| QTorusMesh(Qt3DCore::QNode *parent = nullptr)
float | minorRadius() const
float | radius() const
int | rings() const
int | slices() const

## Public Slots

void | setMinorRadius(float minorRadius)
void | setRadius(float radius)
void | setRings(int rings)
void | setSlices(int slices)

## Signals

void | minorRadiusChanged(float minorRadius)
void | radiusChanged(float radius)
void | ringsChanged(int rings)
void | slicesChanged(int slices)

## Detailed Description

## Property Documentation

### minorRadius : float

Holds the inner radius of the torus.

Access functions:

float | minorRadius() const
void | setMinorRadius(float minorRadius)

Notifier signal:

void | minorRadiusChanged(float minorRadius)

### radius : float

Holds the outer radius of the torus.

Access functions:

float | radius() const
void | setRadius(float radius)

Notifier signal:

void | radiusChanged(float radius)

### rings : int

Holds the number of rings in the mesh.

Access functions:

int | rings() const
void | setRings(int rings)

Notifier signal:

void | ringsChanged(int rings)

### slices : int

Holds the number of slices in the mesh.

Access functions:

int | slices() const
void | setSlices(int slices)

Notifier signal:

void | slicesChanged(int slices)

## Member Function Documentation

### `[explicit]` QTorusMesh::QTorusMesh(Qt3DCore::QNode *parent = nullptr)

Constructs a new QTorusMesh with parent.